devel/libwnck3 - The NetBSD Packages Collection

Library to write pagers and tasklists

libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

This package is part of the GNOME 3 Development Platform.

Build dependencies

pkgtools/x11-links x11/xcb-proto x11/xorgproto pkgtools/cwrappers devel/glib2-tools devel/meson devel/pkgconf

Runtime dependencies

devel/glib2 devel/gobject-introspection x11/startup-notification x11/gtk3 x11/gtk3 x11/libXres devel/glib2 devel/gobject-introspection x11/startup-notification x11/gtk3

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibwnck3-3.36.0.tgz
NetBSD 8.0earmv7hflibwnck3-3.24.1nb9.tgz
NetBSD 8.0earmv7hflibwnck3-3.36.0.tgz
NetBSD 8.0earmv7hflibwnck3-3.36.0.tgz
NetBSD 8.0i386libwnck3-3.24.1nb9.tgz
NetBSD 8.0i386libwnck3-3.36.0.tgz
NetBSD 8.0i386libwnck3-3.36.0.tgz
NetBSD 8.0i386libwnck3-3.36.0.tgz
NetBSD 8.0powerpclibwnck3-3.24.1nb9.tgz
NetBSD 8.0powerpclibwnck3-3.36.0.tgz
NetBSD 8.0powerpclibwnck3-3.36.0.tgz
NetBSD 8.0powerpclibwnck3-3.36.0.tgz
NetBSD 8.0powerpclibwnck3-3.36.0.tgz
NetBSD 8.0x86_64libwnck3-3.36.0.tgz
NetBSD 8.0x86_64libwnck3-3.24.1nb9.tgz
NetBSD 8.0x86_64libwnck3-3.36.0.tgz
NetBSD 8.0x86_64libwnck3-3.36.0.tgz
NetBSD 9.0aarch64libwnck3-3.36.0.tgz
NetBSD 9.0aarch64libwnck3-3.24.1nb9.tgz
NetBSD 9.0aarch64libwnck3-3.36.0.tgz
NetBSD 9.0aarch64libwnck3-3.36.0.tgz
NetBSD 9.0alphalibwnck3-3.36.0.tgz
NetBSD 9.0alphalibwnck3-3.36.0.tgz
NetBSD 9.0earmlibwnck3-3.36.0.tgz
NetBSD 9.0earmlibwnck3-3.36.0.tgz
NetBSD 9.0earmv6hflibwnck3-3.36.0.tgz
NetBSD 9.0earmv6hflibwnck3-3.24.1nb9.tgz
NetBSD 9.0earmv6hflibwnck3-3.36.0.tgz
NetBSD 9.0earmv6hflibwnck3-3.36.0.tgz
NetBSD 9.0earmv6hflibwnck3-3.36.0.tgz
NetBSD 9.0earmv7hflibwnck3-3.36.0.tgz
NetBSD 9.0earmv7hflibwnck3-3.24.1nb9.tgz
NetBSD 9.0earmv7hflibwnck3-3.36.0.tgz
NetBSD 9.0earmv7hflibwnck3-3.36.0.tgz
NetBSD 9.0earmv7hflibwnck3-3.36.0.tgz
NetBSD 9.0earmv7hflibwnck3-3.36.0.tgz
NetBSD 9.0earmv7hflibwnck3-3.36.0.tgz
NetBSD 9.0i386libwnck3-3.24.1nb9.tgz
NetBSD 9.0i386libwnck3-3.36.0.tgz
NetBSD 9.0i386libwnck3-3.36.0.tgz
NetBSD 9.0i386libwnck3-3.36.0.tgz
NetBSD 9.0m68klibwnck3-3.36.0.tgz
NetBSD 9.0mips64eblibwnck3-3.36.0.tgz
NetBSD 9.0mips64eblibwnck3-3.24.1nb9.tgz
NetBSD 9.0mips64eblibwnck3-3.36.0.tgz
NetBSD 9.0mips64eblibwnck3-3.36.0.tgz
NetBSD 9.0mipsellibwnck3-3.36.0.tgz
NetBSD 9.0mipsellibwnck3-3.36.0.tgz
NetBSD 9.0powerpclibwnck3-3.36.0.tgz
NetBSD 9.0powerpclibwnck3-3.24.1nb9.tgz
NetBSD 9.0powerpclibwnck3-3.36.0.tgz
NetBSD 9.0powerpclibwnck3-3.36.0.tgz
NetBSD 9.0powerpclibwnck3-3.36.0.tgz
NetBSD 9.0sh3ellibwnck3-3.36.0.tgz
NetBSD 9.0sh3ellibwnck3-3.36.0.tgz
NetBSD 9.0sh3ellibwnck3-3.36.0.tgz
NetBSD 9.0sparc64libwnck3-3.36.0.tgz
NetBSD 9.0sparc64libwnck3-3.36.0.tgz
NetBSD 9.0sparclibwnck3-3.36.0.tgz
NetBSD 9.0sparclibwnck3-3.24.1nb9.tgz
NetBSD 9.0sparclibwnck3-3.36.0.tgz
NetBSD 9.0sparclibwnck3-3.36.0.tgz
NetBSD 9.0x86_64libwnck3-3.36.0.tgz
NetBSD 9.0x86_64libwnck3-3.36.0.tgz
NetBSD 9.0x86_64libwnck3-3.36.0.tgz
NetBSD 9.0x86_64libwnck3-3.36.0.tgz
NetBSD 9.0x86_64libwnck3-3.24.1nb9.tgz
NetBSD 9.0x86_64libwnck3-3.36.0.tgz
NetBSD 9.0x86_64libwnck3-3.36.0.tgz
NetBSD 9.0x86_64libwnck3-3.36.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.